#!/usr/bin/env python3

import ast

from core import base_api_uri
from core import db_conn
from core import log

##
# URLs
##

get_models_uri = base_api_uri + '/get_models_uri'
set_models_uri = base_api_uri + '/set_models_uri'
del_models_uri = base_api_uri + '/del_models_uri'
rep_models_uri = base_api_uri + '/rep_models_uri'
get_models_list_uri = base_api_uri + '/get_models_list_uri'

get_training_uri = base_api_uri + '/get_training_uri'
set_training_uri = base_api_uri + '/set_training_uri'
set_training_progress_uri = base_api_uri + '/set_training_progress_uri'
learning_progress_uri = base_api_uri + '/learning_progress'


def training_vhost_processing(vhost, waf_id,):
    try:

        ##
        # Search vhost in local DB
        ##

        # connect to the DB
        connect, cur = db_conn()
        if not connect or not cur:
            return False

        query = """ SELECT vhosts_list FROM vhosts_list WHERE waf_id = %s LIMIT 1 """
        cur.execute(query, (waf_id,))
        res = cur.fetchone()
        connect.close()

        # processing result
        if res and res[0]:

            # set vhosts list
            vhosts_list = ast.literal_eval(res[0])

            # if vhost in vhosts_list
            if vhost in vhosts_list:
                return True

    except Exception as e:
        log.error('An error occurred in training_vhost_processing: {}'.format(e))

    # default response
    return False
